function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/06_Laundry_Table_HO.lua', 'hidden_object', 'data/Scenes/06_Laundry_Main.lua')
    
    play_field:IgnoreOnTestPoint('BG_Tool1');
    play_field:IgnoreOnTestPoint('BG_Tool3');
    
    if not HasGameState('ActionCompleted', 'Laundry_left_door_open') then
        play_field:GetObject('Door_left_open'):SetVisible(false);
    end
    
    if not HasGameState('ActionCompleted', 'Laundry_right_door_open') then
        play_field:GetObject('Door_right_open'):SetVisible(false);
    end
    
    AddTask(CreateTask('BUTTON_3',    '',             'Button_3'));
    AddTask(CreateTask('PADLOCK',     'PADLOCKS',     'Lock1',      'Lock2'));
    AddTask(CreateTask('TOOL',        'TOOLS',        'Tool1',      'Tool2', 'Tool3'));
    AddTask(CreateTask('SAFETY_PIN',  'SAFETY_PINS',  'Pin1',       'Pin2'));
    AddTask(CreateTask('WOODEN_PIN',  'WOODEN_PINS',  'WoodenPin1', 'WoodenPin2', 'Pin3'));
    
    AddRandomTasks( CreateTask('BELL',         '', 'Bell'),
                    CreateTask('BONNET',       '', 'Bonnet'),
                    CreateTask('BREASTPIN',    '', 'Breastpin'),
                    CreateTask('BROOM',        '', 'Broom'),
                    CreateTask('BUTTON',       '', 'Button'),
                    CreateTask('CART',         '', 'Cart'),
                    CreateTask('CLEW',         '', 'Clew'),
                    CreateTask('ENVELOPE',     '', 'Envelope'),
                    CreateTask('FLOWER',       '', 'Flower'),
                    CreateTask('HORSESHOE',    '', 'Horseshoe'),
                    CreateTask('IRON',         '', 'Iron'),
                    CreateTask('KEY',          '', 'Key'),
                    CreateTask('LOCOMOTIVE',   '', 'Locomotive'),
                    CreateTask('PINCE_NEZ',    '', 'PinceNez'),
                    CreateTask('PITCHER',      '', 'Pitcher'),
                    CreateTask('ROPE',         '', 'Rope'),
                    CreateTask('SCISSORS',     '', 'Scissors'),
                    CreateTask('SOCKS',        '', 'Socks'),
                    CreateTask('WATERING_CAN', '', 'WateringCan'),
                    CreateTask('WEIGHER',      '', 'Weigher'),
                    CreateTask('ABACUS',       '', 'Abacus'),
                    CreateTask('AD',           '', 'Ad'),
                    CreateTask('ALARM',        '', 'Alarm'),
                    CreateTask('BEARCUB',      '', 'BearCub'),
                    CreateTask('BROKENWATCH',  '', 'BrokenWatch'),
                    CreateTask('BUTTERFLY',    '', 'Butterfly'),
                    CreateTask('CAMEL',        '', 'Camel'),
                    CreateTask('CANDLESTICK',  '', 'CandleStick'),
                    CreateTask('DOUGHNUT',     '', 'Doughnut'),
                    CreateTask('DUCK',         '', 'Duck'),
                    CreateTask('DAGGER',       '', 'Dagger'),
                    CreateTask('CANTEEN',      '', 'Flask'),
                    CreateTask('HEART',        '', 'Heart'),
                    CreateTask('LADLE',        '', 'Ladle'),
                    CreateTask('LEAF',         '', 'Leaf'),
                    CreateTask('OWL',          '', 'Owl'),
                    CreateTask('SAUCER',       '', 'Saucer'),
                    CreateTask('SNOWFLAKE',    '', 'Snowflake'),
                    CreateTask('SPOON',        '', 'Spoon'),
                    CreateTask('STAR',         '', 'Star'));

    RegisterToolFindInfo('06_owl_button');
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Bell.png',0,0,71,82,1,0)
	anim:SetHotSpot(35,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell',anim,524,643,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Bonnet.png',0,0,60,153,1,0)
	anim:SetHotSpot(30,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bonnet',anim,314,367,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Breastpin.png',0,0,54,36,1,0)
	anim:SetHotSpot(27,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Breastpin',anim,653,306,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Broom.png',0,0,84,321,1,0)
	anim:SetHotSpot(42,160)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Broom',anim,48,612,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Button.png',0,0,36,36,1,0)
	anim:SetHotSpot(18,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Button',anim,890,268,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Cart.png',0,0,79,49,1,0)
	anim:SetHotSpot(39,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cart',anim,537,452,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Clew.png',0,0,55,58,1,0)
	anim:SetHotSpot(27,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clew',anim,762,558,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Envelope.png',0,0,70,50,1,0)
	anim:SetHotSpot(35,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Envelope',anim,627,530,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Flower.png',0,0,37,37,1,0)
	anim:SetHotSpot(18,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flower',anim,289,348,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Horseshoe.png',0,0,53,51,1,0)
	anim:SetHotSpot(26,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Horseshoe',anim,542,145,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Iron.png',0,0,61,43,1,0)
	anim:SetHotSpot(30,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Iron',anim,395,393,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Key.png',0,0,29,73,1,0)
	anim:SetHotSpot(14,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key',anim,367,309,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Lock1.png',0,0,37,61,1,0)
	anim:SetHotSpot(18,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lock1',anim,16,312,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Lock2.png',0,0,33,48,1,0)
	anim:SetHotSpot(16,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lock2',anim,456,261,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Locomotive.png',0,0,88,52,1,0)
	anim:SetHotSpot(44,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Locomotive',anim,910,652,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Pin1.png',0,0,25,54,1,0)
	anim:SetHotSpot(12,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pin1',anim,769,302,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Pin2.png',0,0,47,51,1,0)
	anim:SetHotSpot(23,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pin2',anim,469,603,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Pin3.png',0,0,24,42,1,0)
	anim:SetHotSpot(12,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pin3',anim,368,584,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/PinceNez.png',0,0,71,47,1,0)
	anim:SetHotSpot(35,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PinceNez',anim,580,588,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Pitcher.png',0,0,51,56,1,0)
	anim:SetHotSpot(25,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pitcher',anim,459,389,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Rope.png',0,0,86,121,1,0)
	anim:SetHotSpot(43,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rope',anim,185,174,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Scissors.png',0,0,56,94,1,0)
	anim:SetHotSpot(28,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scissors',anim,534,536,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Socks.png',0,0,46,53,1,0)
	anim:SetHotSpot(23,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Socks',anim,314,617,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Tool1.png',0,0,132,60,1,0)
	anim:SetHotSpot(66,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tool1',anim,275,27,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Tool2.png',0,0,148,88,1,0)
	anim:SetHotSpot(74,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tool2',anim,71,130,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Tool3.png',0,0,89,79,1,0)
	anim:SetHotSpot(44,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tool3',anim,942,131,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/WateringCan.png',0,0,95,90,1,0)
	anim:SetHotSpot(47,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('WateringCan',anim,864,645,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Weigher.png',0,0,87,102,1,0)
	anim:SetHotSpot(43,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Weigher',anim,447,159,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/WoodenPin1.png',0,0,176,41,1,0)
	anim:SetHotSpot(88,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('WoodenPin1',anim,773,115,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/WoodenPin2.png',0,0,35,45,1,0)
	anim:SetHotSpot(17,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('WoodenPin2',anim,427,645,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Layers/Layer_clew.png',0,0,65,36,1,0)
	anim:SetHotSpot(32,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_clew',anim,754,557,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Button_3.png',0,0,35,68,1,0)
	anim:SetHotSpot(17,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Button_3',anim,17,242,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Layers/Door_left_open.png',0,0,169,490,1,0)
	anim:SetHotSpot(84,245)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Door_left_open',anim,185,528,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Layers/Door_right_open.png',0,0,261,428,1,0)
	anim:SetHotSpot(130,214)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Door_right_open',anim,899,490,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Abacus.png',0,0,63,138,1,0)
	anim:SetHotSpot(31,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Abacus',anim,433,593,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Ad.png',0,0,43,64,1,0)
	anim:SetHotSpot(21,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ad',anim,765,420,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Alarm.png',0,0,46,36,1,0)
	anim:SetHotSpot(23,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Alarm',anim,386,448,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/BearCub.png',0,0,74,73,1,0)
	anim:SetHotSpot(37,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BearCub',anim,548,259,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/BrokenWatch.png',0,0,67,45,1,0)
	anim:SetHotSpot(33,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BrokenWatch',anim,604,636,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Butterfly.png',0,0,56,50,1,0)
	anim:SetHotSpot(28,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly',anim,239,104,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Camel.png',0,0,34,38,1,0)
	anim:SetHotSpot(17,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Camel',anim,629,481,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/CandleStick.png',0,0,31,62,1,0)
	anim:SetHotSpot(15,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('CandleStick',anim,411,319,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Doughnut.png',0,0,39,35,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Doughnut',anim,671,519,101,33,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Duck.png',0,0,73,32,1,0)
	anim:SetHotSpot(36,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Duck',anim,302,152,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Dagger.png',0,0,29,82,1,0)
	anim:SetHotSpot(14,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dagger',anim,652,187,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Flask.png',0,0,58,82,1,0)
	anim:SetHotSpot(29,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flask',anim,385,520,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Heart.png',0,0,50,59,1,0)
	anim:SetHotSpot(25,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart',anim,141,302,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Ladle.png',0,0,50,69,1,0)
	anim:SetHotSpot(25,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ladle',anim,514,370,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Leaf.png',0,0,37,50,1,0)
	anim:SetHotSpot(18,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Leaf',anim,269,248,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Owl.png',0,0,44,52,1,0)
	anim:SetHotSpot(22,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Owl',anim,544,384,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Saucer.png',0,0,63,42,1,0)
	anim:SetHotSpot(31,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Saucer',anim,641,576,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Snowflake.png',0,0,68,30,1,0)
	anim:SetHotSpot(34,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Snowflake',anim,661,49,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Spoon.png',0,0,29,105,1,0)
	anim:SetHotSpot(14,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Spoon',anim,587,310,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Items/Star.png',0,0,61,85,1,0)
	anim:SetHotSpot(30,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Star',anim,41,375,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Layers/BG_Medvezhonok.png',0,0,68,59,1,0)
	anim:SetHotSpot(34,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Medvezhonok',anim,551,266,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Layers/BG_Schety.png',0,0,76,95,1,0)
	anim:SetHotSpot(38,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Schety',anim,435,625,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Layers/BG_Tool3.png',0,0,81,78,1,0)
	anim:SetHotSpot(40,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Tool3',anim,936,133,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_table/Layers/BG_Tool1.png',0,0,126,55,1,0)
	anim:SetHotSpot(63,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Tool1',anim,275,27,102,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
